%global momorel 2
%global srcver 3.6.1

Summary: Libraries to use the Unidata network Common Data Form (netCDF)
Name: netcdf
Version: 3.6.1
Release: %{momorel}m
License: "see COPYRIGHT"
Group: Development/Libraries
%NoSource 0 ftp://ftp.unidata.ucar.edu/pub/netcdf/%{name}-%{version}.tar.gz 07a9db424337c5e4833fb84136e09a1e
%NoSource 1 http://www.gfd-dennou.org/arch/netcdf/netcdf-jman/guidec_ja.tar.gz d6e983de66de595ddd541de47f6a26f6
URL: http://www.unidata.ucar.edu/packages/netcdf/
BuildRequires: gcc-gfortran >= 4.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
NetCDF (network Common Data Form) is an interface for array-oriented data access and a library that provides an implementation of the interface. The netCDF library also defines a machine-independent format for representing scientific data. Together, the interface, library, and format support the creation, access, and sharing of scientific data.

%prep
%setup -q -a1 -n %{name}-%{version}
perl -pi -e "/^LIBDIR/ and s/\/lib/\/%{_lib}/g" src/macros.make.*
mv Output HTML-ja
cd src
sed -e 's/prefix)\/man/prefix)\/share\/man/' < macros.make.in > macros.make.in.$$
mv macros.make.in.$$ macros.make.in


%build
cd src

export CFLAGS="%{optflags} -DpgiFortran"
export CPPFLAGS="%{optflags} -DpgiFortran"
export CXXFLAGS="%{optflags} -DpgiFortran"

./configure --prefix=%{_prefix} --datadir=%{_datadir} --libdir=%{_libdir} --mandir=%{_mandir}
make
make test

%install
cd src
if [ "%{buildroot}" != "/" ]; then
    rm -rf %{buildroot}
fi
mkdir -p %{buildroot}%{_datadir}

%makeinstall
rm -rf %{buildroot}/usr/share/man/man3f*

#mkdir -p %{buildroot}%{_mandir}
#cp -Rdp %{buildroot}%{_prefix}/share/man/*  %{buildroot}%{_mandir}

%clean
if [ "%{buildroot}" != "/" ]; then
    rm -rf %{buildroot}
fi

%files
%defattr(-,root,root)
%doc src/README src/COPYRIGHT src/INSTALL src/RELEASE_NOTES  HTML-ja/
%{_libdir}/*
%{_includedir}/*
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6.1-2m)
- revised flags (remove -fPIC) to fix build error

* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6.1-1m)
- import to Momonga for octave-forge

* Thu Apr 06 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.6.1-0.0.1m)
- 3.6.1

* Tue Aug 09 2005 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.6.1-0.0.0.beta3.1m)
- update to 3.6.1-beta3

* Mon Dec 22 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.5.1-0.0.0.13.1m)
- update to 3.5.1-beta13

* Sat Jan 18 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.5.0-0.0.1m)
- build for Momonga Linux

* Sat Jun 29 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.5.0-0.1kl)
- rebuild for Kondara MNU/Linux 2.1
- include Japanese reference at http://win-k.gfd-dennou.org/netCDF/index.html
- no f90 interface is build

* Thu Jan 31 2002 Jhon H. Caicedo <jhcaiced@osso.org.co>
- rebuilt for version 3.5.0

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fixed man page location to be FHS compliant
- use %%makeinstall and %%configure

* Tue Mar 28 2000 Tim Powers <timp@redhat.com>
- got package for contrib on ftp.redhat.com
- started changelog
- quiet setup
- changed buildroot and group
- RPM handles gsipping man pages now, no longer needed in spec file
- cleaned up files list
- bzip source
